# $Revision: 1.47 $, $Date: 2005/06/21 20:41:48 $
#
# Conditional build:
%bcond_without	tests	# do not perform tests
#
Summary:	A collection of utilities and DSOs to handle compiled objects
Summary(pl):	Zestaw narzdzi i bibliotek do obsugi skompilowanych obiektw
Name:		elfutils
Version:	0.108
Release:	3
License:	OSL 1.0 (http://www.opensource.org/licenses/osl.php)
Group:		Development/Tools
# http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/SRPMS/
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	fd318a634c8f67c7ac8a975f16965cc3
Patch0:		%{name}-pl.po.patch
Patch1:		%{name}-debian-manpages.patch
Patch2:		%{name}-portability.patch
Patch3:		%{name}-bswap.patch
Patch4:		%{name}-robustify.patch
Patch5:		%{name}-align.patch
#URL:		file://home/devel/drepper
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.7
BuildRequires:	gcc >= 3.2
BuildRequires:	gettext-devel
%ifarch %{x8664} alpha ia64 ppc64 s390x sparc64
# PR*FAST{8,16} in <inttypes.h> were broken for 64-bit archs in older versions
# also needed for nanosecond timestamps on alpha
BuildRequires:	glibc-devel >= 6:2.3.4
%endif
BuildRequires:	libltdl-devel
BuildRequires:	perl-tools-pod
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	sharutils
Requires:	%{name}-libelf = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_programprefix	eu-

%description
Elfutils is a collection of utilities, including ld (a linker), nm
(for listing symbols from object files), size (for listing the section
sizes of an object or archive file), strip (for discarding symbols),
readline (the see the raw ELF file structures), and elflint (to check
for well-formed ELF files). Also included are numerous helper
libraries which implement DWARF, ELF, and machine-specific ELF
handling.

%description -l pl
Elfutils to zestaw narzdzi, skadajcy si z ld (linkera), nm (do
listowania symboli z plikw obiektw), size (do listowania rozmiarw
sekcji plikw obiektw lub archiww), strip (do usuwania symboli),
readline (do ogldania surowych struktur plikw ELF) oraz elflint (do
sprawdzania poprawnoci plikw ELF). Doczone s take liczne
biblioteki pomocnicze z zaimplementowan obsug DWARF, ELF i ELF
specyficznych dla architektury.

%package devel
Summary:	Development part of libraries to handle compiled objects
Summary(pl):	Cz programistyczna bibliotek do obsugi skompilowanych obiektw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libelf-devel

%description devel
The elfutils-devel package contains the development part of libraries
to create applications for handling compiled objects. libelf allows
you to access the internals of the ELF object file format, so you can
see the different sections of an ELF file. libebl provides some
higher-level ELF access functionality. libdwarf provides access to the
DWARF debugging information. libasm provides a programmable assembler
interface.

%description devel -l pl
Pakiet elfutils-devel zawiera cz programistyczn bibliotek do
tworzenia aplikacji obsugujcych skompilowane obiekty. libelf pozwala
na dostp do wntrznoci formatu pliku obiektowego ELF, co pozwala na
ogldanie rnych sekcji pliku ELF. libebl udostpnia funkcjonalno
dostpu do plikw ELF troch wyszego poziomu. libdwarf pozwala na
dostp do informacji DWARF sucych do odpluskwiania. libasm
udostpnia programowalny interfejs asemblera.

%package libelf
Summary:	Library to read and write ELF files
Summary(pl):	Biblioteki do odczytu i zapisu plikw ELF
Group:		Libraries
#Obsoletes:	libelf

%description libelf
The elfutils-libelf package provides a DSO which allows reading and
writing ELF files on a high level. Third party programs depend on this
package to read internals of ELF files. The programs of the elfutils
package use it also to generate new ELF files.

%description libelf -l pl
Pakiet elfutils-libelf udostpnia bibliotek dzielon, ktra pozwala
na wysokopoziomowe czytanie i zapisywanie plikw ELF. Inne programy
wymagaj tego pakietu, aby odczytywa zawarto plikw ELF. Programy z
pakietu elfutils uywaj jej take do generowania nowych plikw ELF.

%package static
Summary:	Static libraries to handle compiled objects
Summary(pl):	Statyczne biblioteki do obsugi skompilowanych obiektw
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libelf-static

%description static
The elfutils-static package contains the static libraries to create
applications for handling compiled objects. libelf allows you to
access the internals of the ELF object file format, so you can see the
different sections of an ELF file. libebl provides some higher-level
ELF access functionality. libdwarf provides access to the DWARF
debugging information. libasm provides a programmable assembler
interface.

%description static -l pl
Pakiet elfutils-static zawiera statyczne biblioteki do tworzenia
aplikacji obsugujcych skompilowane obiekty. libelf pozwala na dostp
do wntrznoci formatu pliku obiektowego ELF, co pozwala na ogldanie
rnych sekcji pliku ELF. libebl udostpnia funkcjonalno dostpu do
plikw ELF troch wyszego poziomu. libdwarf pozwala na dostp do
informacji DWARF sucych do odpluskwiania. libasm udostpnia
programowalny interfejs asemblera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
#%%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}

%configure \
	--program-prefix=%{_programprefix} \
	--enable-shared

# make check depends on test-nlist not stripped
%{__perl} -pi -e 's/^(LDFLAGS =.*)-s/$1/' tests/Makefile

%{__make}
%{__make} -C debian/man
%if %{with tests}
# $ORIGIN used in RPATH needs /proc to work - workaround it using LD_LIBRARY_PATH;
# ../libelf is needed also to use proper libelf by ../src/elflint during tests
LD_LIBRARY_PATH=../libasm:../libdw:../libebl:../libelf \
%{__make} -C tests check
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,/%{_lib}}

# *OBJEXT must be passed to workaround problem with messed gettext,
# which doesn't like *-po dir names
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MKINSTALLDIRS=$(pwd)/config/mkinstalldirs \
	CATOBJEXT=.gmo \
	INSTOBJEXT=.mo

install debian/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

mv $RPM_BUILD_ROOT%{_libdir}/libelf-*.so $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libelf-*.so) \
        $RPM_BUILD_ROOT%{_libdir}/libelf.so

%find_lang libelf
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	libelf -p /sbin/ldconfig
%postun	libelf -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS NOTES README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libasm-*.so
%attr(755,root,root) %{_libdir}/libdw-*.so
%dir %{_libdir}/elfutils
%attr(755,root,root) %{_libdir}/elfutils/lib*.so
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libasm.so
%attr(755,root,root) %{_libdir}/libdw.so
%attr(755,root,root) %{_libdir}/libelf.so
%{_libdir}/libebl.a
%{_includedir}/*

%files libelf -f libelf.lang
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libelf-*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libasm.a
%{_libdir}/libdw.a
%{_libdir}/libelf.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: elfutils.spec,v $
Revision 1.47  2005/06/21 20:41:48  qboosh
- updated pl.po patch, release 3

Revision 1.46  2005/06/21 19:40:55  qboosh
- added align patch, optimization on sparc is back

Revision 1.45  2005/06/20 22:07:57  baggins
- release 2
- we have a miscompilation problem
- turned off optimizations on sparc

Revision 1.44  2005/06/20 11:27:08  baggins
- updated to 0.108
- security fix (TODO removed)
- moved libelf so lib to /lib

Revision 1.43  2005/06/02 14:18:33  glen
- TODO security

Revision 1.42  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.41  2005/03/21 18:27:23  mmazur
- rel 2 for th

Revision 1.40  2005/01/09 20:10:33  qboosh
- updated to 0.97 (fixes for lib64 and gcc 4.0)

Revision 1.39  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.38  2004/08/11 21:18:25  qboosh
- it really requires C99 compiler - restored gcc 3.2 BR

Revision 1.37  2004/08/09 11:20:57  blues
- newer autoconf is needed

Revision 1.36  2004/08/01 16:02:44  qboosh
- updated alpha-stat patch for glibc 2.3.4 (now effective on sparc64 only); release 2

Revision 1.35  2004/07/09 19:58:49  qboosh
- BR: glibc-devel 2.3.4 on 64-bit archs (broken inttypes.h in older versions)

Revision 1.34  2004/06/05 00:26:30  qboosh
- one more comment (w/o LD_LIBRARY_PATH elflint used system libelf)

Revision 1.33  2004/06/05 00:21:54  qboosh
- made tests work without /proc (using LD_LIBRARY_PATH)

Revision 1.32  2004/06/04 13:45:04  pluto
- spaces -> tab.

Revision 1.31  2004/05/25 16:09:12  arekm
- updated to 0.95

Revision 1.30  2004/04/07 19:41:41  qboosh
- really updated */pl.po, fixed test-nlist (by not stripping it)

Revision 1.28  2004/04/02 20:21:01  pluto
- tests added (successful compilation doesn't guarantee proper behavior).

Revision 1.27  2004/04/02 17:41:33  pluto
- pl.po patch updated.
- release 1.

Revision 1.26  2004/04/02 17:12:43  pluto
- gcc 3.4 fixes done.
- release 0.2.

Revision 1.25  2004/04/01 15:33:23  pluto
- gcc 3.4 fixes / stage 1.

Revision 1.24  2004/04/01 15:18:41  pluto
- %%files
- po.pl needs update.

Revision 1.23  2004/04/01 14:41:39  pluto
- updated to 0.94.
- gcc 3.4 fixes NFY.
- release 0.1.

Revision 1.22  2004/01/16 12:11:40  qboosh
- added alpha-stat patch (fixes build on alpha), release 5

Revision 1.21  2004/01/16 10:07:39  jajcus
- Release: 4 (to build _and_tag_ for Ac)

Revision 1.20  2003/11/16 00:17:50  qboosh
- updated to 0.89 (from Fedora)
- updated my email in pl.po
- libebl is now static-only, so moved to -devel
- added debian-manpages patch (man pages from elfutils_0.84-4.diff.gz)

Revision 1.19  2003/10/12 16:02:05  blues
- cut non-PLD changelog

Revision 1.18  2003/08/23 14:15:22  mmazur
- rel 9 for ac

Revision 1.17  2003/08/12 22:32:47  ankry
- cosmetics

Revision 1.16  2003/06/11 08:17:47  qboosh
- fixed License

Revision 1.15  2003/05/28 11:18:03  djrzulf
- added working Source0, thanks for plikoskop.pl :*,

Revision 1.14  2003/05/28 10:22:54  djrzulf
- gettextized,

Revision 1.13  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.12  2003/05/25 05:47:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/17 17:17:40  mkochano
- BR: automake >= 1.7

Revision 1.10  2003/05/17 16:31:59  mkochano
- BR: autoconf >= 2.54.

Revision 1.9  2003/04/23 19:56:52  qboosh
- run make in build section
- added pl.po patch and gettext hack in install
- release 8

Revision 1.8  2003/04/12 10:15:25  radek
- obsoleting libelf by elfutils-libelf causes unability to compile
  rpm 4.2 with rpm 4.1; commented it out

Revision 1.7  2003/03/30 23:57:59  radzio
- BR: libltdl-devel

Revision 1.6  2003/03/29 00:09:41  qboosh
- pl descriptions, standardized libraries Groups

Revision 1.5  2003/03/28 16:31:03  wiget
- stupid typo

Revision 1.4  2003/03/27 17:28:00  wiget
- cut&paste typo
- release 6

Revision 1.3  2003/03/27 11:18:34  wiget
- release 5
- added static subpackage
- include all files  in packages

Revision 1.2  2003/03/25 13:32:34  wiget
- PLDized
